<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::crc32 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1crc32.html">crc32</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1crc32-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::crc32 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a71f795b76a471b80da0aa2aa4ff0c691"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classdlib_1_1crc32.html">crc32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1crc32.html#a71f795b76a471b80da0aa2aa4ff0c691">kernel_1a</a></td></tr>
<tr class="separator:a71f795b76a471b80da0aa2aa4ff0c691"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac3110e7b3573da91e0de88c5307e1adf"><td class="memItemLeft" align="right" valign="top"><a id="ac3110e7b3573da91e0de88c5307e1adf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>crc32</b> (const std::string &amp;item)</td></tr>
<tr class="separator:ac3110e7b3573da91e0de88c5307e1adf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3246eb9ac918cedf334a69f1f0ef3a80"><td class="memItemLeft" align="right" valign="top"><a id="a3246eb9ac918cedf334a69f1f0ef3a80"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>crc32</b> (const std::vector&lt; char &gt; &amp;item)</td></tr>
<tr class="separator:a3246eb9ac918cedf334a69f1f0ef3a80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a158f2794bed5c9eb285d53c3fc6f858f"><td class="memItemLeft" align="right" valign="top"><a id="a158f2794bed5c9eb285d53c3fc6f858f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clear</b> ()</td></tr>
<tr class="separator:a158f2794bed5c9eb285d53c3fc6f858f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04fec4e251a0e1ba2a3269bb4f9f33fa"><td class="memItemLeft" align="right" valign="top"><a id="a04fec4e251a0e1ba2a3269bb4f9f33fa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add</b> (unsigned char item)</td></tr>
<tr class="separator:a04fec4e251a0e1ba2a3269bb4f9f33fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ac031c96b48b57f0ebf887d5012444d"><td class="memItemLeft" align="right" valign="top"><a id="a2ac031c96b48b57f0ebf887d5012444d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add</b> (const std::string &amp;item)</td></tr>
<tr class="separator:a2ac031c96b48b57f0ebf887d5012444d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a570521755bdc8df07426837977924480"><td class="memItemLeft" align="right" valign="top"><a id="a570521755bdc8df07426837977924480"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add</b> (const std::vector&lt; char &gt; &amp;item)</td></tr>
<tr class="separator:a570521755bdc8df07426837977924480"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa53deb48546d6a58dbbb3929206dfc57"><td class="memItemLeft" align="right" valign="top"><a id="aa53deb48546d6a58dbbb3929206dfc57"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator unsigned long</b> () const</td></tr>
<tr class="separator:aa53deb48546d6a58dbbb3929206dfc57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7de0de8cdd54a97bbeeb5bd7da4a1a20"><td class="memItemLeft" align="right" valign="top"><a id="a7de0de8cdd54a97bbeeb5bd7da4a1a20"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_checksum</b> () const</td></tr>
<tr class="separator:a7de0de8cdd54a97bbeeb5bd7da4a1a20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05a6d6fdc44967ba013b6e7301a2b1f1"><td class="memItemLeft" align="right" valign="top"><a id="a05a6d6fdc44967ba013b6e7301a2b1f1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1crc32.html">crc32</a> &amp;item)</td></tr>
<tr class="separator:a05a6d6fdc44967ba013b6e7301a2b1f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40fb800361e03344c734ddb71425538f"><td class="memItemLeft" align="right" valign="top"><a id="a40fb800361e03344c734ddb71425538f"></a>
<a class="el" href="classdlib_1_1crc32.html">crc32</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1crc32.html">crc32</a> &amp;)</td></tr>
<tr class="separator:a40fb800361e03344c734ddb71425538f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a96044b37e98cd85da55c5cfc75a330cc"><td class="memItemLeft" align="right" valign="top"><a id="a96044b37e98cd85da55c5cfc75a330cc"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>table</b> (unsigned int idx) const</td></tr>
<tr class="separator:a96044b37e98cd85da55c5cfc75a330cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae60751974dc0b0a46c064493c98a88e5"><td class="memItemLeft" align="right" valign="top"><a id="ae60751974dc0b0a46c064493c98a88e5"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>checksum</b></td></tr>
<tr class="separator:ae60751974dc0b0a46c064493c98a88e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a71f795b76a471b80da0aa2aa4ff0c691"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71f795b76a471b80da0aa2aa4ff0c691">&#9670;&nbsp;</a></span>kernel_1a</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classdlib_1_1crc32.html">crc32</a> <a class="el" href="classdlib_1_1crc32.html#a71f795b76a471b80da0aa2aa4ff0c691">dlib::crc32::kernel_1a</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">INITIAL VALUE
    checksum == 0xFFFFFFFF

CONVENTION
    get_checksum() == checksum ^ 0xFFFFFFFF
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="crc32__kernel__1_8h_source.html">crc32_kernel_1.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
